## dfsbuild 0.6.20

=== debian/changelog ===
dfsbuild (0.6.20) unstable; urgency=low

  * Switched default cfg to stable.  cdebootstrap doesn't
    work with testing (see 315154).  This addresses 314813, which I will
    merge with 315154.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 21 Jun 2005 06:52:39 -0500

dfsbuild (0.6.19) unstable; urgency=low

  * Add a few new packages
  * Remove older raidtools2
  * Tweaks to build-depends for newer ocaml

 -- John Goerzen <jgoerzen@complete.org>  Fri, 29 Apr 2005 05:07:30 -0500

dfsbuild (0.6.18) unstable; urgency=low

  * Documented in manpage that dfsbuild must run as root.  Closes: #288637.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  7 Apr 2005 19:40:20 -0500

=== debian/control ===
Source: dfsbuild
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, ocaml-nox, libextlib-ocaml-dev, libequeue-ocaml-dev, libmissinglib-ocaml-dev (>= 0.4.10.debian-1), xpdf-utils, bash
Standards-Version: 3.6.0

Package: dfsbuild
Architecture: i386 alpha powerpc amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), debconf, cdebootstrap, mkisofs, apt-move (>= 4.2.22.1), cramfsprogs, ${dep${Arch}}, bash
Description: Build Debian From Scratch CD/DVD images
 Debian From Scratch (DFS) is a live bootable CD that is designed to
 provide a fully-featured kernel and a fully-featured rescue environment.
 The rescue environment contains filesystem tools, editors, C development
 environment, etc.
 .
 dfsbuild is the program used to create the DFS CD image.  It is highly
 configurable and can be used to create other custom bootable CD or DVD
 images.  You can use dfsbuild to do something as simple as building a
 DFS CD with a custom kernel.  Or, you can customize the CD to include a
 completely different set of packages.
 .
 dfsbuild works by obtaining packages from your nearest Debian mirror.
 It will generate an ISO image that contains a bootable Debian system
 generated by installing those packages.  Also, it can place all the .debs
 and files needed by cdebootstrap in the image.  Thus, the
 generated image can be used to install the base Debian system on a PC as
 well.
 .
 On i386 and amd64 platforms, dfsbuild supports the Grub bootloader.
 .
 On Alpha, dfsbuild supports the aboot bootloader.
 .
 On PowerPC, dfsbuild supports the yaboot bootloader.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

RDIR=$(CURDIR)/debian/dfsbuild
DOCDIR=$(RDIR)/usr/share/doc/dfsbuild
LIBDIR=$(RDIR)/usr/lib/dfsbuild
SHAREDIR=$(RDIR)/usr/share/dfsbuild


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cd doc && scons manpages
	#/usr/bin/docbook-to-man debian/dfsbuild.sgml > dfsbuild.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/dfsbuild.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/dfsbuild
	cp -r lib $(LIBDIR)
	ln -s /usr/lib/dfsbuild/dfs.html $(DOCDIR)/html
	cp dfsbuild $(RDIR)/usr/bin/
	cp dfs.cfg $(SHAREDIR)
	cp COPYRIGHT $(DOCDIR)/copyright
	chmod a-x $(LIBDIR)/linuxrc $(LIBDIR)/startup
	strip -s $(LIBDIR)/linuxrc $(LIBDIR)/startup


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs doc/*.ps doc/*.pdf doc/*.txt
	dh_installexamples
#	dh_instal
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman doc/dfsbuild.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- \
		"-Vdepi386=grub" \
		"-Vdepamd64=grub" \
		"-Vdepalpha=aboot" \
		"-Vdeppowerpc=yaboot, mkvmlinuz, hfsutils"
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dfsbuild 0.6.21

=== debian/changelog ===
dfsbuild (0.6.21) unstable; urgency=low

  * Update relationship to debconf.  Closes: #314815.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  7 Oct 2005 22:50:42 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: dfsbuild
 Architecture: i386 alpha powerpc amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), debconf, cdebootstrap, mkisofs, apt-move (>= 4.2.22.1), cramfsprogs, ${dep${Arch}}, bash
+Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), debconf | debconf-2.0, cdebootstrap, mkisofs, apt-move (>= 4.2.22.1), cramfsprogs, ${dep${Arch}}, bash
 Description: Build Debian From Scratch CD/DVD images
  Debian From Scratch (DFS) is a live bootable CD that is designed to
  provide a fully-featured kernel and a fully-featured rescue environment.

## dfsbuild 0.99.1

=== debian/changelog ===
dfsbuild (0.99.1) unstable; urgency=low

  * Update for GHC 6.4.2.  Closes: #376288.

 -- John Goerzen <jgoerzen@complete.org>  Sat,  1 Jul 2006 18:46:54 -0500

dfsbuild (0.99.0) unstable; urgency=low

  * Complete rewrite in Haskell.  Many new features from this.
    Closes: #358944, which pertained to OCaml code.
  * New debug/verbose mode
  * Switch from apt-move to reprepro for package caches.
    Closes: #320991, #314815.
  * No longer removes existing working directory by default.
    Closes: #307334.
  * dfsbuild still uses bash, but since bash is Essential,
    no longer depends upon it.  Closes: #356572, #316420.
  * Generated images now support udev instead of hotplug.
  * Dies quickly if not running as root.  Closes: #288637.
  * Automatically detects CD devices from sysfs.
    So DFS now requires a 2.6 kernel.
    The devices option in the config file is now obsolete.
  * dfsbuild now saves state, so if it dies partway through,
    the problem can be fixed and the build continued.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 19 Apr 2006 23:01:04 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, ocaml-nox, libextlib-ocaml-dev, libequeue-ocaml-dev, libmissinglib-ocaml-dev (>= 0.4.10.debian-1), xpdf-utils, bash
+Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, xpdf-utils, ghc6 (>= 6.4.2), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.14.4)
 Standards-Version: 3.6.0
 
 Package: dfsbuild
 Architecture: i386 alpha powerpc amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), debconf | debconf-2.0, cdebootstrap, mkisofs, apt-move (>= 4.2.22.1), cramfsprogs, ${dep${Arch}}, bash
+Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 0.28), debconf | debconf-2.0, cdebootstrap, mkisofs, cramfsprogs, ${dep${Arch}}, reprepro
 Description: Build Debian From Scratch CD/DVD images
  Debian From Scratch (DFS) is a live bootable CD that is designed to
  provide a fully-featured kernel and a fully-featured rescue environment.

## dfsbuild 0.99.3

=== Makefile ===
# arch-tag: Primary makefile
# Copyright (c) 2004-2006 John Goerzen
#

all: setup			# GHC build
	./setup configure
	./setup build

doc: lib/dfs.html/index.html lib/dfs.pdf lib/dfs.ps lib/dfs.txt

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs dfsbuild.cabal
	ghc -package Cabal Setup.lhs -o setup

clean:
	-./setup clean
	-cd libsrc && ../setup clean
	-rm -rf dist libsrc/dist *.ho *.hi *.o *.a setup *~
	-cd doc && scons -c && scons -c html pdf text ps
	-rm -rf dfsbuild lib/dfs.html lib/dfs.pdf lib/dfs.ps lib/dfs.txt doc/.sconsign .depend test dfsbuild.bc
	-rm -f `find . -name "*.cm*"` doc/manpage* doc/*.1
	-rm -f `find . -name "*~"` `find . -name "*.o"`

test: utils/dfsutils.cmx utils/shellutil.cmx  test.cmx
	ocamlfind ocamlopt -compact $(PACKAGES) -linkpkg \
		-o $@ $^


lib/dfs.html/index.html: doc/dfs.sgml lib
	-rm -r lib/dfs.html
	cd doc && scons html
	cp -r doc/html lib/dfs.html
	for FILE in lib/dfs.html/*.html; do \
		lynx -dump -nolist $$FILE > $$FILE.txt; done

lib/dfs.pdf: doc/dfs.sgml lib
	cd doc && scons pdf
	cp doc/dfs.pdf lib

lib/dfs.ps: doc/dfs.sgml lib
	cd doc && scons ps
	cp doc/dfs.ps lib

lib/dfs.txt: doc/dfs.sgml lib
	cd doc && scons text
	cp doc/dfs.txt lib

=== doc/SConstruct ===
# Copyright (C) 2004 John Goerzen <jgoerzen@complete.org>
# arch-tag: primary build for docs
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

env = Environment()
env.Export("env")
env.Append(MASTERBASE = 'dfs', TOPNODE = 'dfs', DOINDEX = 1,
        PDFARGS = '-s local=printlocal')

execfile('sgml-common/SConstruct')

manpages = []
for manpage in ['dfsbuild']:
    manpages.append(env.MAN('%s.1' % manpage, 'man.%s.sgml' % manpage))
env.Alias('manpages', manpages)

=== debian/changelog ===
dfsbuild (0.99.3) testing-proposed-updates; urgency=high

  * Scan both /usr/lib/grub and /lib/grub for grub bootloader
    files.  Patch from Lars Kruse.  Closes: #404563, #390801.
  * Guess name of Release file.  Patch from Lars Kruse.
    Closes: #404555, #399861.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  8 Jan 2007 06:17:20 -0600

dfsbuild (0.99.2) unstable; urgency=low

  * Update for GHC 6.6.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 20 Oct 2006 05:47:28 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, xpdf-utils, ghc6 (>= 6.4.2), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.14.4)
+Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, xpdf-utils, ghc6 (>= 6.4.2), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.14.4), libghc6-network-dev, libghc6-unix-dev
 Standards-Version: 3.6.0
 
 Package: dfsbuild

=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,7 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
+	$(MAKE) doc
 	cd doc && scons manpages
 	#/usr/bin/docbook-to-man debian/dfsbuild.sgml > dfsbuild.1
 
@@ -61,13 +62,12 @@
 
 	# Add here commands to install the package into debian/dfsbuild.
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/dfsbuild
-	cp -r lib $(LIBDIR)
+	cp -r lib/* $(LIBDIR)
 	ln -s /usr/lib/dfsbuild/dfs.html $(DOCDIR)/html
-	cp dfsbuild $(RDIR)/usr/bin/
+	cp dist/build/dfsbuild/dfsbuild $(RDIR)/usr/bin/
 	cp dfs.cfg $(SHAREDIR)
 	cp COPYRIGHT $(DOCDIR)/copyright
-	chmod a-x $(LIBDIR)/linuxrc $(LIBDIR)/startup
-	strip -s $(LIBDIR)/linuxrc $(LIBDIR)/startup
+	chmod a-x $(LIBDIR)/linuxrc
 
 
 # Build architecture-independent files here.
@@ -78,7 +78,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog
+	dh_installchangelogs 
 	dh_installdocs doc/*.ps doc/*.pdf doc/*.txt
 	dh_installexamples
 #	dh_instal

## dfsbuild 0.99.4

=== debian/changelog ===
dfsbuild (0.99.4) unstable; urgency=low

  * Updates for MissingH transition.
  * Now supports preparescripts and cleanupscripts.
    Thanks to Lars Kruse for patch.  Closes: #383260, #285372.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Jan 2007 05:46:58 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, xpdf-utils, ghc6 (>= 6.4.2), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.14.4), libghc6-network-dev, libghc6-unix-dev
+Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, xpdf-utils, ghc6 (>= 6.4.2), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.18.0), libghc6-network-dev, libghc6-unix-dev,
+ libghc6-hslogger-dev, libghc6-filepath-dev, libghc6-configfile-dev
 Standards-Version: 3.6.0
 
 Package: dfsbuild

## dfsbuild 1.0.1

=== debian/changelog ===
dfsbuild (1.0.1) unstable; urgency=low

  * Rebuild with updated filepath.  Closes: #422278.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Jun 2007 05:28:34 -0500

dfsbuild (1.0.0) unstable; urgency=low

  * Fixed wildcard matching in MissingH and adjust build-deps to
    require newer version.  Closes: #408471, #413741.
  * Make preparescripts and cleanupscripts lines in dfs.cfg optional
  * Update boot scripts to enter a repetitive 10-second loop to wait
    for boot devices to be probed and appear -- needed for USB
  * Updated dfs.cfg for changed package names
  * Added bacula, mercurial, etc. to image
  * Dropped kernel-patch-2.6-reiser4, lvm10, gcc-4.0, gcc-4.0-locales
    since they aren't in testing

 -- John Goerzen <jgoerzen@complete.org>  Thu,  8 Mar 2007 04:08:41 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, xpdf-utils, ghc6 (>= 6.4.2), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.18.0), libghc6-network-dev, libghc6-unix-dev,
- libghc6-hslogger-dev, libghc6-filepath-dev, libghc6-configfile-dev
+Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, xpdf-utils, ghc6 (>= 6.4.2), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.18.3), libghc6-network-dev, libghc6-unix-dev,
+ libghc6-hslogger-dev, libghc6-filepath-dev, libghc6-configfile-dev (>= 1.0.1),
+ libghc6-hsh-dev (>= 1.2.1)
 Standards-Version: 3.6.0
 
 Package: dfsbuild

## dfsbuild 1.0.2.0

=== debian/changelog ===
dfsbuild (1.0.2.0) unstable; urgency=low

  * Update for GHC 6.8.x

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jan 2008 10:55:51 -0600

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, xpdf-utils, ghc6 (>= 6.4.2), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.18.3), libghc6-network-dev, libghc6-unix-dev,
- libghc6-hslogger-dev, libghc6-filepath-dev, libghc6-configfile-dev (>= 1.0.1),
- libghc6-hsh-dev (>= 1.2.1)
+Build-Depends: debhelper (>= 4.0.0), gtk-doc-tools, sgml2x, docbook-utils, jade, lynx, scons, xpdf-utils, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), cpphs, libghc6-missingh-dev (>= 1.0.0), libghc6-network-dev, libghc6-unix-dev,
+ libghc6-hslogger-dev, libghc6-filepath-dev, libghc6-configfile-dev (>= 1.0.4),
+ libghc6-hsh-dev (>= 1.2.5)
 Standards-Version: 3.6.0
 
 Package: dfsbuild
